## org.eclipse.datatools.modelbase.sql.accesscontrol
Interface TablePrivilege

All Superinterfaces:
  Privilege, SQLObject

    public interface TablePrivilege

extends Privilege

A representation of the model object 'Table Privilege'. Reference: 5WD-02-Foundation-2002-12 4.34.2 Privileges

The following features are supported:

- `With Hierarchy`

See Also:
  `org.eclipse.datatools.modelbase.sql.accesscontrol.SQLAccessControlPackage#getTablePrivilege()`

Method Summary
`boolean` `isWithHierarchy()` Returns the value of the 'With Hierarchy' attribute.
`void` `setWithHierarchy(boolean value)` Sets the value of the '`With Hierarchy`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.Privilege
`getAction, getActionObjects, getGrantee, getGrantor, getObject, isGrantable, setAction, setGrantable, setGrantee, setGrantor, setObject`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isWithHierarchy

    boolean isWithHierarchy()

  Returns the value of the 'With Hierarchy' attribute.

  If the meaning of the 'With Hierarchy' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isWithHierarchy` in interface `Privilege`
  Returns:
    the value of the 'With Hierarchy' attribute.
  See Also:
    `setWithHierarchy(boolean)`, `org.eclipse.datatools.modelbase.sql.accesscontrol.SQLAccessControlPackage#getTablePrivilege_WithHierarchy()`

### setWithHierarchy

    void setWithHierarchy(boolean value)

  Sets the value of the '`With Hierarchy`' attribute.

  Specified by:
    `setWithHierarchy` in interface `Privilege`
  Parameters:
    `value` - the new value of the 'With Hierarchy' attribute.
  See Also:
    `isWithHierarchy()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.